Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.jaxb.mapping.orm
Class JaxbNamedQuery

    java.lang.Object
      org.hibernate.internal.jaxb.mapping.orm.JaxbNamedQuery

    public class JaxbNamedQuery

extends Object

Field Summary
`protected String` | `description`
`protected List<JaxbQueryHint>` | `hint`
`protected JaxbLockModeType` | `lockMode`
`protected String` | `name`
`protected String` | `query`

Constructor Summary
`JaxbNamedQuery()`

Method Summary
`String` | `getDescription()` Gets the value of the description property.
`List<JaxbQueryHint>` | `getHint()` Gets the value of the hint property.
`JaxbLockModeType` | `getLockMode()` Gets the value of the lockMode property.
`String` | `getName()` Gets the value of the name property.
`String` | `getQuery()` Gets the value of the query property.
`void` | `setDescription(String value)` Sets the value of the description property.
`void` | `setLockMode(JaxbLockModeType value)` Sets the value of the lockMode property.
`void` | `setName(String value)` Sets the value of the name property.
`void` | `setQuery(String value)` Sets the value of the query property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### description

    protected String description

### query

    protected String query

### lockMode

    protected JaxbLockModeType lockMode

### hint

    protected List<JaxbQueryHint> hint

### name

    protected String name

Constructor Detail

### JaxbNamedQuery

    public JaxbNamedQuery()

Method Detail

### getDescription

    public String getDescription()

  Gets the value of the description property.

  Returns:
    possible object is `String`

### setDescription

    public void setDescription(String value)

  Sets the value of the description property.

  Parameters:
    `value` - allowed object is `String`

### getQuery

    public String getQuery()

  Gets the value of the query property.

  Returns:
    possible object is `String`

### setQuery

    public void setQuery(String value)

  Sets the value of the query property.

  Parameters:
    `value` - allowed object is `String`

### getLockMode

    public JaxbLockModeType getLockMode()

  Gets the value of the lockMode property.

  Returns:
    possible object is `JaxbLockModeType`

### setLockMode

    public void setLockMode(JaxbLockModeType value)

  Sets the value of the lockMode property.

  Parameters:
    `value` - allowed object is `JaxbLockModeType`

### getHint

    public List<JaxbQueryHint> getHint()

  Gets the value of the hint property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the hint property.

  For example, to add a new item, do as follows:

          getHint().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbQueryHint`

### getName

    public String getName()

  Gets the value of the name property.

  Returns:
    possible object is `String`

### setName

    public void setName(String value)

  Sets the value of the name property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.